7 Replies Latest reply: Aug 20, 2013 10:48 AM by stsmgmt
stsmgmt Level 1 (0 points)

I have an iPod Touch that needs upgraded and iTunes will not let me. Current version is 2.2.1 and the upgrade is to 4.3. Errors -1 and -5000. Any suggestions on how to make it work? I have tried all that Apple suggested and nada. Also cannot get support through Apple unless I pay and who knows how many "incidents" there are in order to get this working. It is a 2nd generation iPod Touch I think.


Thank you kindly in advance.

iPod touch